SkillServer Integrations

Update Skill Server Integration

Update a SkillServer integration

post
/v1/integration/skillserver/{skillserverIntegrationId}/update

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

skillserverIntegrationIdstring* Required

The ID of the SkillServer integration

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

skillsetIdstring

The ID of the skillset

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.skillserver.update(

skillserverIntegrationId,
{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"skillsetId":"string"
}
)
{
"id":"string"
}
The SkillServer integration was updated successfully